# Document Page Approval

This module adds a workflow to approve page modifications and show the approved version by default.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

To configure this module, you need to:

1. Set a valid email address on the company settings.
2. Go to Knowledge > Categories.
3. Create a new page category and set an approver group. Make sure users belonging to that group have valid email addresses.

# Usage

To use this module, you need to:

1. Go to Knowledge > Pages
2. Create a new page and choose the previously created category.
3. A notification is sent to the approvers group with a link to the page history to review.
4. Depending on the review, the page history is approved or not.
5. Users reading the page see the last approved version.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Savoir-faire Linux

## Contributors

- Odoo SA <info@odoo.com>
- Savoir-faire Linux <support@savoirfairelinux.com>
- Gervais Naoussi <gervaisnaoussi@gmail.com>
- Maxime Chambreuil <mchambreuil@opensourceintegrators.com>
- Iván Todorovich <ivan.todorovich@gmail.com>
- Victor M.M. Torres <victor.martin@tecnativa.com>
- Guadaltech:
  - Fernando La Chica <fernando.lachica@guadaltech.es>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/knowledge project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.